/*      Written by: Jason Yohn          */

/* STANDARD INCLUDE                     */
#include        <string.h>
#include        <stdio.h>

#define DEBUG 0

char *vmsNameToUnix( vmsName )
	char *vmsName;
{
	char *result;
	char *ptr;

	/* Allocate the return string. */
	result = (char *)malloc( strlen(vmsName) +2);

	/* Get the vms Device Name as the begining of the unix path */
	strcpy(result, "");
	if ((ptr = strchr( vmsName, ':')) != NULL)
	{
		*ptr = (char) NULL;
		ptr++;
		strcat( result, "/" );
		strcat( result, vmsName );
		strcpy( vmsName, ptr);
#if DEBUG
		printf("#2 result=>%s<=\n  vmsName=>%s<=\n", result, vmsName);
#endif
	}

	/* If the directory path exists, delimitered by either '[]' or '<>', */
	/* then convert the dots ('.') into unix slashes ('/'). */
	if (	((ptr = strchr( vmsName, '[')) != NULL) ||
		((ptr = strchr( vmsName, '<')) != NULL) )
	{
		char *ptr2;

		/* Begining of Dir string */
		*ptr = (char) NULL;
		ptr++;
		if (	((ptr2 = strchr( ptr, ']')) != NULL) ||
			((ptr2 = strchr( ptr, '>')) != NULL) )
		{
			char *ptr3;

			/* End of Dir string */
			*ptr2 = (char) NULL;
			ptr2++;

			/* change all dots ('.') into slashes ('/'). */
			ptr3 = strchr( ptr, '.');
			while( ptr3 < ptr2 && ptr3 != NULL)
			{
				*ptr3 = (char) '/';
				ptr3 = strchr( ptr, '.');
			}
			strcat( result, "/" );
			strcat( result, ptr );
			ptr = ptr2;
		}
		strcpy( vmsName, ptr);
#if DEBUG
		printf("#3 result=>%s<=\n  vmsName=>%s<=\n", result, vmsName);
#endif
	}
	if (strlen (result))
	{
	    strcat( result, "/" );
	}
	strcat( result, vmsName );
	/* if (DEBUG) printf("#4 result=>%s<=\n", result );*/
	return( result );
}
